Boomi Platform API Reference (1.0.0) - RuntimeReleaseSchedule
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
The Runtime Release Schedule object allows you to configure a schedule for automatically receiving updates on a Runtime, Runtime cluster, or Runtime cloud.
Note: You must have the Runtime Management privilege to use the Runtime Release Schedule object.
Creates a RuntimeReleaseSchedule object
The CREATE operation sets a schedule for receiving updates with the scheduleType, dayOfWeek, hourOfDay, and timeZone fields.
Authorizations:
Request Body schema: optional
| atomId required | string The ID of the container for which you want to set a schedule. |
| dayOfWeek required | string The day of the week that you want to receive updates on the Runtime, Runtime cluster, or Runtime cloud. |
| scheduleType required | string Enum: "NEVER" "FIRST" "LAST" Required. Determines whether you want to receive the updates when available, and if so, whether you receive them in the first or second (last) week they are available prior to the .- FIRST - Update within the first week that updates are available |
| timeZone required | string The time zone of your set schedule. |
| hourOfDay | integer <int32> The hour of the day that you want to receive updates on the Runtime, Runtime cluster, or Runtime cloud. 1. Must be between 0-23 |
Responses
Response Schema:
| atomId required | string The ID of the container for which you want to set a schedule. |
| dayOfWeek required | string The day of the week that you want to receive updates on the Runtime, Runtime cluster, or Runtime cloud. |
| scheduleType required | string Enum: "NEVER" "FIRST" "LAST" Required. Determines whether you want to receive the updates when available, and if so, whether you receive them in the first or second (last) week they are available prior to the .- FIRST - Update within the first week that updates are available |
| timeZone required | string The time zone of your set schedule. |
| hourOfDay | integer <int32> The hour of the day that you want to receive updates on the Runtime, Runtime cluster, or Runtime cloud. 1. Must be between 0-23 |
Request samples
- Payload
{- "atomId": "2f717303-f3a1-4c09-8195-29d105b35620",
- "scheduleType": "LAST",
- "dayOfWeek": "SATURDAY",
- "hourOfDay": 17,
- "timeZone": "Australia/Queensland"
}Response samples
- 200
- 403
- 410
- 503
{- "@type": "RuntimeReleaseSchedule",
- "atomId": "2f717303-f3a1-4c09-8195-29d105b35620",
- "scheduleType": "LAST",
- "dayOfWeek": "SATURDAY",
- "hourOfDay": 17,
- "timeZone": "Australia/Queensland"
}Retrieves an instance of a RuntimeReleaseSchedule object
The GET operation returns the current schedule for receiving updates on a specified Runtime, Runtime cluster, or Runtime cloud.
Authorizations:
path Parameters
| id required | string The ID of the container for which you want to set a schedule. |
Responses
Response Schema:
| atomId required | string The ID of the container for which you want to set a schedule. |
| dayOfWeek required | string The day of the week that you want to receive updates on the Runtime, Runtime cluster, or Runtime cloud. |
| scheduleType required | string Enum: "NEVER" "FIRST" "LAST" Required. Determines whether you want to receive the updates when available, and if so, whether you receive them in the first or second (last) week they are available prior to the .- FIRST - Update within the first week that updates are available |
| timeZone required | string The time zone of your set schedule. |
| hourOfDay | integer <int32> The hour of the day that you want to receive updates on the Runtime, Runtime cluster, or Runtime cloud. 1. Must be between 0-23 |
Response samples
- 200
- 403
- 410
- 503
{- "@type": "RuntimeReleaseSchedule",
- "atomId": "2f717303-f3a1-4c09-8195-29d105b35620",
- "scheduleType": "LAST",
- "dayOfWeek": "SATURDAY",
- "hourOfDay": 17,
- "timeZone": "Australia/Queensland"
}Modifies or updates a RuntimeReleaseSchedule object
The UPDATE operation modifies a set schedule for receiving updates.
Authorizations:
path Parameters
| id required | string The ID of the container for which you want to set a schedule. |
Request Body schema: optional
| atomId required | string The ID of the container for which you want to set a schedule. |
| dayOfWeek required | string The day of the week that you want to receive updates on the Runtime, Runtime cluster, or Runtime cloud. |
| scheduleType required | string Enum: "NEVER" "FIRST" "LAST" Required. Determines whether you want to receive the updates when available, and if so, whether you receive them in the first or second (last) week they are available prior to the .- FIRST - Update within the first week that updates are available |
| timeZone required | string The time zone of your set schedule. |
| hourOfDay | integer <int32> The hour of the day that you want to receive updates on the Runtime, Runtime cluster, or Runtime cloud. 1. Must be between 0-23 |
Responses
Response Schema:
| atomId required | string The ID of the container for which you want to set a schedule. |
| dayOfWeek required | string The day of the week that you want to receive updates on the Runtime, Runtime cluster, or Runtime cloud. |
| scheduleType required | string Enum: "NEVER" "FIRST" "LAST" Required. Determines whether you want to receive the updates when available, and if so, whether you receive them in the first or second (last) week they are available prior to the .- FIRST - Update within the first week that updates are available |
| timeZone required | string The time zone of your set schedule. |
| hourOfDay | integer <int32> The hour of the day that you want to receive updates on the Runtime, Runtime cluster, or Runtime cloud. 1. Must be between 0-23 |
Request samples
- Payload
{- "atomId": "2f717303-f3a1-4c09-8195-29d105b35620",
- "scheduleType": "LAST",
- "dayOfWeek": "FRIDAY",
- "hourOfDay": 0,
- "timeZone": "Australia/Queensland"
}Response samples
- 200
- 403
- 410
- 503
{- "@type": "RuntimeReleaseSchedule",
- "atomId": "2f717303-f3a1-4c09-8195-29d105b35620",
- "scheduleType": "LAST",
- "dayOfWeek": "FRIDAY",
- "hourOfDay": 0,
- "timeZone": "Australia/Queensland"
}Deletes a RuntimeReleaseSchedule object
The DELETE operation sets the scheduleType to NEVER, meaning that the Runtime, Runtime cluster, or Runtime cloud receives updates only during the .
Authorizations:
path Parameters
| id required | string The ID of the container for which you want to set a schedule. |
Responses
Response samples
- 403
- 410
- 503
{- "message": "Access denied due to insufficient permissions."
}Retrieves multiple RuntimeReleaseSchedule objects by identifier.
Authorizations:
Request Body schema: optional
Array of objects (BulkId) | |
| type | string Enum: "GET" "DELETE" "UPDATE" "CREATE" |
Responses
Response Schema:
Array of objects | |||||||||||
Array
| |||||||||||
Request samples
- Payload
{- "request": [
- {
- "id": "56789abc-def0-1234-5678-9abcdef01234"
}
], - "type": "GET"
}Response samples
- 200
- 403
- 410
- 503
{- "response": [
- {
- "Result": {
- "atomId": "string",
- "dayOfWeek": "string",
- "hourOfDay": 0,
- "scheduleType": "NEVER",
- "timeZone": "string"
}, - "index": 0,
- "id": "string",
- "statusCode": 0,
- "errorMessage": "string"
}
]
}